Bug 6556 - add getAll to RM API
: add getAll to RM API
Status: RESOLVED FIXED
: Nimbus
RM API
: TP2.1
: PC Linux
: P3 enhancement
: TP2.1.1
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2008-12-01 09:23 by
Modified: 2010-03-12 11:36 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-12-01 09:23:35
User requests adding an operation to the RM API that gets all VM information
objects associated with all Callers (for periodic polling, to avoid querying
the database directly).
------- Comment #1 From 2008-12-01 11:36:08 -------
Committed to HEAD.  Waiting to resolve this to FIXED, first want to make sure
it fits the need.
------- Comment #2 From 2008-12-01 12:45:47 -------
I should mention, it's called "getGlobalAll()" in the RM API because there
already was a getAll which is scoped by ensemble etc ("get all" in a group).

Here's the changeset:

http://fisheye.globus.org/changelog/GlobusToolkit/workspace/vm?cs=MAIN:tfreeman:20081201173424
------- Comment #3 From 2008-12-01 13:01:00 -------
going to test this out to make sure, but from the diffs it looks good.
------- Comment #4 From 2008-12-11 14:38:18 -------
Only tested before with >0 running VMs at the time, there was a bug with that. 
This is probably what caused NPE that Michael was seeing.  Committed fix.
------- Comment #5 From 2008-12-11 14:40:39 -------
(a bug with zero running, I meant)